SyslogActionConfig (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.action.SyslogActionConfig class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.action
Class SyslogActionConfig

    java.lang.Object
      org.hyperic.hq.bizapp.shared.action.SyslogActionConfig

All Implemented Interfaces:
  ActionConfigInterface

Direct Known Subclasses:
  SyslogAction

    public class SyslogActionConfig

extends java.lang.Object
implements ActionConfigInterface

Field Summary
`static java.lang.String` | `CFG_META`
`static java.lang.String` | `CFG_PROD`
`static java.lang.String` | `CFG_VER`

Constructor Summary
`SyslogActionConfig()`
`SyslogActionConfig(java.lang.String meta, java.lang.String product, java.lang.String version)`

Method Summary
`ConfigResponse` | `getConfigResponse()` Get the configuration response for the action based on its properties
`ConfigSchema` | `getConfigSchema()` Get the configuration schema for the action
`java.lang.String` | `getImplementor()` Return the name of the class that implements the action
`java.lang.String` | `getMeta()`
`java.lang.String` | `getProduct()`
`java.lang.String` | `getVersion()`
`void` | `init(ConfigResponse config)` Initialize the action instance
`void` | `setImplementor(java.lang.String impl)` Allow implementor to be overwritten
`void` | `setMeta(java.lang.String string)`
`void` | `setProduct(java.lang.String string)`
`void` | `setVersion(java.lang.String string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CFG_META

    public static final java.lang.String CFG_META

See Also:
  Constant Field Values

### CFG_PROD

    public static final java.lang.String CFG_PROD

See Also:
  Constant Field Values

### CFG_VER

    public static final java.lang.String CFG_VER

See Also:
  Constant Field Values

Constructor Detail

### SyslogActionConfig

    public SyslogActionConfig()

### SyslogActionConfig

    public SyslogActionConfig(java.lang.String meta,
                              java.lang.String product,
                              java.lang.String version)

Method Detail

### init

    public void init(ConfigResponse config)

  Description copied from interface: `ActionConfigInterface`
  Initialize the action instance

  Specified by:
    `init` in interface `ActionConfigInterface`
  Parameters:
    `config` - configuration properties

### getConfigSchema

    public ConfigSchema getConfigSchema()

  Description copied from interface: `ActionConfigInterface`
  Get the configuration schema for the action

  Specified by:
    `getConfigSchema` in interface `ActionConfigInterface`
  Returns:
    a config schema

### getConfigResponse

    public ConfigResponse getConfigResponse()
                                     throws InvalidOptionException,
                                            InvalidOptionValueException

  Description copied from interface: `ActionConfigInterface`
  Get the configuration response for the action based on its properties

  Specified by:
    `getConfigResponse` in interface `ActionConfigInterface`
  Returns:
    a config schema
  Throws:
    `InvalidOptionException`
    `InvalidOptionValueException`

### setImplementor

    public void setImplementor(java.lang.String impl)

  Description copied from interface: `ActionConfigInterface`
  Allow implementor to be overwritten

  Specified by:
    `setImplementor` in interface `ActionConfigInterface`

### getImplementor

    public java.lang.String getImplementor()

  Description copied from interface: `ActionConfigInterface`
  Return the name of the class that implements the action

  Specified by:
    `getImplementor` in interface `ActionConfigInterface`
  Returns:
    the Action classname

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String string)

### getProduct

    public java.lang.String getProduct()

### setProduct

    public void setProduct(java.lang.String string)

### getMeta

    public java.lang.String getMeta()

### setMeta

    public void setMeta(java.lang.String string)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.